import os

def genfstab(mountpoint="/mnt"):
    os.system(f"genfstab -U {mountpoint} >> /mnt/etc/fstab > logs/genfstab.txt 2>&1")

def mirrors(country):
    os.system(f"reflector -c {country} > /etc/pacman.d/mirrorlist")
    return country

def network(mountpoint="/mnt"):
    os.system(f"arch-chroot {mountpoint} systemctl enable NetworkManager > logs/network.txt 2>&1")
    with open(f"{mountpoint}/etc/hosts", "a") as f:
        f.write("# Lines below are generated by cyanide installer (ratInstall)")
        f.write("127.0.0.1     localhost")
        f.write("::1 localhost")